﻿<ResourceDictionary xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
                    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
                    xmlns:wpf="clr-namespace:SecondMonitor.WindowsControls.WPF;assembly=WindowsControls"
                    xmlns:creation="clr-namespace:SecondMonitor.Rating.Application.Championship.ViewModels.Creation;assembly=Rating.Application"
                    xmlns:dd="urn:gong-wpf-dragdrop"
                    xmlns:calendar="clr-namespace:SecondMonitor.Rating.Application.Championship.ViewModels.Creation.Calendar;assembly=Rating.Application">
    <ResourceDictionary.MergedDictionaries>
        <ResourceDictionary Source="../../RatingPresentation.xaml" />
        <ResourceDictionary>
            <DataTemplate DataType="{x:Type creation:CreatedCalendarViewModel}">
                <DockPanel Background="{StaticResource Anthracite01Brush}">
                    <Grid DockPanel.Dock="Top" MinWidth="300">
                        <Grid.ColumnDefinitions>
                            <ColumnDefinition Width="Auto"/>
                            <ColumnDefinition Width="*"/>
                        </Grid.ColumnDefinitions>
                        <StackPanel Grid.Column="0">
                            <TextBlock Style="{StaticResource StandardText}" VerticalAlignment="Center" FontSize="{StaticResource BigFontSize}" Margin="10,10,0,0" Text="Calendar:"/>
                            <TextBlock Style="{StaticResource StandardText}" VerticalAlignment="Center" Margin="10,0,0,10" Text="{Binding TotalEvents, StringFormat=' {0} Event(s)'}"/>
                        </StackPanel>
                        <StackPanel Grid.Column="1" Orientation="Horizontal" HorizontalAlignment="Right">
                            <TextBox Style="{StaticResource StandardTextBox}" Width="30" VerticalAlignment="Center" Text="{Binding RandomEventsCount, Converter={StaticResource NonNegativeIntToStringConverter}}"/>
                            <Button
                                HorizontalAlignment="Right" VerticalAlignment="Center"
                                Command="{Binding RandomCalendarCommand}"
                                Style="{StaticResource StandardButton}"
                                ToolTip="Generate a random calendar." Height="48">
                                <Button.Content>
                                    <wpf:ColorAbleIcon
                                        StrokeBrush="{Binding Foreground, RelativeSource={RelativeSource AncestorType=Button}, Mode=OneWay}">
                                        <ContentPresenter Content="{StaticResource RandomIcon}" />
                                    </wpf:ColorAbleIcon>
                                </Button.Content>
                            </Button>
                            <Button
                                HorizontalAlignment="Right"
                                Command="{Binding SelectPredefinedCalendarCommand}"
                                Style="{StaticResource StandardButton}"
                                ToolTip="Select a predefined calendar." Height="48">
                                <Button.Content>
                                    <wpf:ColorAbleIcon
                                                       StrokeBrush="{Binding Foreground, RelativeSource={RelativeSource AncestorType=Button}, Mode=OneWay}">
                                        <ContentPresenter Content="{StaticResource CalendarIcon}" />
                                    </wpf:ColorAbleIcon>
                                </Button.Content>
                            </Button>
                        </StackPanel>
                    </Grid>
                    <Border DockPanel.Dock="Bottom" BorderThickness="1" BorderBrush="{StaticResource DarkGrey01Brush}">
                        <Grid>
                            <ListBox BorderThickness="0" Foreground="{StaticResource Anthracite01Brush}" Background="{StaticResource Anthracite01Brush}" MinHeight="200"  ItemsSource="{Binding CalendarEntries }" dd:DragDrop.IsDropTarget="True"  dd:DragDrop.DropHandler="{Binding}">
                                <ListBox.ItemTemplate>
                                    <DataTemplate>
                                        <Grid Margin="5"  dd:DragDrop.IsDropTarget="True" dd:DragDrop.IsDragSource="True" dd:DragDrop.DropHandler="{Binding DataContext, RelativeSource={RelativeSource AncestorType=ListBox}}">
                                            <Grid.ColumnDefinitions>
                                                <ColumnDefinition Width="330" SharedSizeGroup="TrackTemplateGroup" />
                                            </Grid.ColumnDefinitions>
                                            <Grid HorizontalAlignment="Stretch">
                                                <ScrollContentPresenter CanVerticallyScroll="False" CanHorizontallyScroll="False" Content="{Binding}" />
                                            </Grid>
                                        </Grid>
                                    </DataTemplate>
                                </ListBox.ItemTemplate>
                            </ListBox>
                        </Grid>
                    </Border>
                </DockPanel>
            </DataTemplate>

            <DataTemplate DataType="{x:Type calendar:EditableCalendarEntryViewModel}">
                <Border  BorderThickness="1" BorderBrush="{StaticResource LightBlueBrush}" CornerRadius="5" Background="{StaticResource Anthracite02Brush}" >
                    <Grid>
                        <Grid.ColumnDefinitions>
                            <ColumnDefinition Width="Auto"/>
                            <ColumnDefinition Width="*"/>
                            <ColumnDefinition Width="32"/>
                        </Grid.ColumnDefinitions>
                        <Grid Grid.Column="0" VerticalAlignment="Center">
                            <TextBlock Style="{StaticResource StandardText}" VerticalAlignment="Center" HorizontalAlignment="Center" FontSize="{StaticResource BigFontSize}" Margin="10,10,10,10" Text="{Binding EventNumber}"/>
                        </Grid>
                        <StackPanel Orientation="Vertical" Grid.Column="1" Background="Transparent">
                            <TextBox Style="{StaticResource StandardTextBox}" Margin="5"  Text="{Binding CustomEventName}" BorderBrush="{StaticResource LightBlueBrush}" BorderThickness="0.5"/>
                            <TextBox Style="{StaticResource StandardTextBox}" Margin="5"  Text="{Binding TrackName}" BorderBrush="{StaticResource LightBlueBrush}" ToolTip="{Binding TrackName}" BorderThickness="0.5"/>
                        </StackPanel>
                        <Grid Column="2">
                            <Button Width="32" HorizontalAlignment="Right" HorizontalContentAlignment="Stretch"
                                    Command="{Binding DeleteEntryCommand, Mode=OneWay}"
                                    Style="{StaticResource StandardButton}"
                                    ToolTip="Deletes the Calendar Entry">
                                <Button.Content>
                                    <wpf:ColorAbleIcon
                                        StrokeBrush="{Binding Foreground, RelativeSource={RelativeSource AncestorType=Button}, Mode=OneWay}">
                                        <ContentPresenter Content="{StaticResource CancelIcon}" Margin="-5" />
                                    </wpf:ColorAbleIcon>
                                </Button.Content>
                            </Button>
                        </Grid>
                    </Grid>
                </Border>
            </DataTemplate>

            <DataTemplate DataType="{x:Type calendar:CalendarPlaceholderEntryViewModel}">
                <Border  BorderThickness="1" BorderBrush="{StaticResource Orange1Brush}" CornerRadius="5" Background="{StaticResource Anthracite02Brush}" >
                    <Grid>
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width="Auto"/>
                                <ColumnDefinition Width="*"/>
                                <ColumnDefinition Width="32"/>
                            </Grid.ColumnDefinitions>
                            <Grid Grid.Column="0" VerticalAlignment="Center">
                                <TextBlock Style="{StaticResource StandardText}" VerticalAlignment="Center" HorizontalAlignment="Center" FontSize="{StaticResource BigFontSize}" Margin="10,10,10,10" Text="{Binding EventNumber}"/>
                            </Grid>
                            <StackPanel Orientation="Vertical" Grid.Column="1" Background="Transparent">
                                <TextBlock Style="{StaticResource StandardText}" FontSize="{StaticResource SmallFontSize}" Margin="5"  Text="Calendar Template Placeholder:"/>
                                <TextBox Style="{StaticResource StandardTextBox}" Margin="5"  Text="{Binding CustomEventName}" BorderBrush="{StaticResource LightBlueBrush}" BorderThickness="0.5"/>
                                <TextBlock Style="{StaticResource StandardText}" Margin="5"  Text="{Binding TrackName}" ToolTip="{Binding TrackName}"/>
                            </StackPanel>
                            <Grid Column="2">
                                <Button Width="32" HorizontalAlignment="Right" HorizontalContentAlignment="Stretch"
                                    Command="{Binding DeleteEntryCommand, Mode=OneWay}"
                                    Style="{StaticResource StandardButton}"
                                    ToolTip="Deletes the Calendar Entry">
                                    <Button.Content>
                                        <wpf:ColorAbleIcon
                                        StrokeBrush="{Binding Foreground, RelativeSource={RelativeSource AncestorType=Button}, Mode=OneWay}">
                                            <ContentPresenter Content="{StaticResource CancelIcon}" Margin="-5" />
                                        </wpf:ColorAbleIcon>
                                    </Button.Content>
                                </Button>
                            </Grid>
                        </Grid>
                </Border>
            </DataTemplate>

            <DataTemplate DataType="{x:Type calendar:ExistingTrackCalendarEntryViewModel}">
                <Border BorderThickness="1" BorderBrush="{StaticResource Green01Brush}" CornerRadius="5" Background="{StaticResource Anthracite02Brush}">
                    <Grid>
                        <Grid.ColumnDefinitions>
                            <ColumnDefinition Width="Auto" />
                            <ColumnDefinition Width="*" />
                            <ColumnDefinition Width="32" />
                        </Grid.ColumnDefinitions>
                        <Grid Grid.Column="0" VerticalAlignment="Center">
                            <TextBlock Style="{StaticResource StandardText}" VerticalAlignment="Center"
                                       HorizontalAlignment="Center" FontSize="{StaticResource BigFontSize}"
                                       Margin="10,10,10,10" Text="{Binding EventNumber}" />
                        </Grid>
                        <StackPanel Orientation="Vertical" Grid.Column="1" Background="Transparent">
                            <TextBox Style="{StaticResource StandardTextBox}" Margin="5"  Text="{Binding CustomEventName}" BorderBrush="{StaticResource LightBlueBrush}" BorderThickness="0.5"/>
                            <TextBlock Style="{StaticResource StandardText}" Margin="5" Text="{Binding TrackName}" ToolTip="{Binding TrackName}"/>
                            <ContentPresenter Content="{Binding TrackGeometryViewModel}" Margin="10" MaxHeight="50" IsHitTestVisible="True"/>
                        </StackPanel>
                        <Grid Column="2">
                            <Button Width="32" HorizontalAlignment="Right" HorizontalContentAlignment="Stretch"
                                    Command="{Binding DeleteEntryCommand, Mode=OneWay}"
                                    Style="{StaticResource StandardButton}"
                                    ToolTip="Deletes the Calendar Entry">
                                <Button.Content>
                                    <wpf:ColorAbleIcon
                                        StrokeBrush="{Binding Foreground, RelativeSource={RelativeSource AncestorType=Button}, Mode=OneWay}">
                                        <ContentPresenter Content="{StaticResource CancelIcon}" Margin="-5" />
                                    </wpf:ColorAbleIcon>
                                </Button.Content>
                            </Button>
                        </Grid>
                    </Grid>
                </Border>
            </DataTemplate>
            <DataTemplate DataType="{x:Type calendar:MysteryCalendarEntryViewModel}">
                <Border BorderThickness="1" BorderBrush="{StaticResource Green01Brush}" Background="{StaticResource Anthracite02Brush}">
                    <StackPanel Orientation="Vertical">
                        <TextBlock Style="{StaticResource StandardText}" Text="Random Track" HorizontalAlignment="Center" VerticalAlignment="Center" TextWrapping="WrapWithOverflow"></TextBlock>
                        <wpf:ColorAbleIcon StrokeBrush="{StaticResource Green01Brush}" Height="48" Margin="5,5,5,10">
                            <ContentPresenter Content="{StaticResource HelpIcon}" />
                        </wpf:ColorAbleIcon>
                    </StackPanel>
                </Border>
            </DataTemplate>
        </ResourceDictionary>
    </ResourceDictionary.MergedDictionaries>
</ResourceDictionary>
